package com.ghy.common.adapay;

/**
 * Event时间枚举
 *
 * @author HH 2022/3/25
 */
public enum EventEnum {

    PAY_SUCCEEDED("payment.succeeded", "支付成功"),
    PAY_FAILED("payment.failed", "支付失败"),

    PAY_CLOSE_SUCCEEDED("payment.close.succeeded", "关闭支付订单成功"),
    PAY_CLOSE_FAILED("payment.close.failed", "关闭支付订单失败"),

    REFUND_SUCCEEDED("refund.succeeded", "退款成功"),
    REFUND_FAILED("refund.failed", "退款失败"),

    CORP_MEMBER_SUCCEEDED("corp_member.succeeded", "开户成功"),
    CORP_MEMBER_FAILED("corp_member.failed", "开户失败"),

    PAYMENT_REVERSE_SUCCEEDED("payment_reverse.succeeded", "支付撤销成功"),
    PAYMENT_REVERSE_FAILED("payment_reverse.failed", "支付撤销失败"),

    CASH_SUCCEEDED("cash.succeeded", "取现成功"),
    CASH_FAILED("cash.failed", "取现失败"),

    ACCOUNT_PAYMENT_SUCCEEDED("account_payment.succeeded", "钱包支付成功"),
    ACCOUNT_PAYMENT_FAILED("account_payment.failed", "钱包支付失败"),

    FASTPAY_SUCCEEDED("fastpay.succeeded", "快捷支付成功"),
    FASTPAY_FAILED("fastpay.failed", "快捷支付失败");

    private final String type;
    private final String description;

    EventEnum(String type, String description) {
        this.type = type;
        this.description = description;
    }

    public String getType() {
        return type;
    }

    public String getDescription() {
        return description;
    }
}
